{% if tag_name and tag_name != '' %}
  {% assign current_tag = '' %}

  {% load_products tag: tag_name %}
  {% for product in products %}

    {% if forloop.first %}
      {% assign current_tag = product.tags | where: 'name', tag_name | first %}
    {% endif %}

    {% capture product_slides %}
      {{ product_slides }}
      <div class="swiper-slide">
        {% render 'partials/components/product_block', product: product, lazy: 'swiper-lazy', mobile: mobile, index: forloop.index %}
      </div>
    {% endcapture %}
  {% endfor %}

  {% if product_slides and product_slides != blank %}
    <section class="product-slider section" data-products-slider>
      {% unless mobile %}
        {% if current_tag.image_url != blank %}
          <div class="img-wrapper">
            {% capture data_srcset %}
              {{ current_tag.image_url | resize: '330x' }}
              330w,
              {{ current_tag.image_url | resize: '380x' }}
              380w,
              {{ current_tag.image_url | resize: '500x' }}
              500w,
              {{ current_tag.image_url | resize: '750x' }}
              750w
            {% endcapture %}

            {% capture data_sizes %}
              (max-width: 1280px) 330px,
              (max-width: 1440px) 380px,
              (max-width: 1920px) 500px,
              2000px
            {% endcapture %}


            <figure class="image -custom">
              <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ current_tag.name }}"/>
            </figure>
          </div>
        {% endif %}
      {% endunless %}
      <div class="slider-wrapper {% if current_tag.image_url == blank %} -imageless {% endif %}" {% if current_tag.subtitle contains '#' %} style="--bg-color: {{ current_tag.subtitle }}" {% endif %}>
        {% if current_tag.title != blank %}
          <h2 class="title">
            {{ current_tag.title }}
          </h2>
        {% endif %}
        <div class="swiper">
          <div class="swiper-wrapper">
            {{ product_slides }}
          </div>
        </div>
        <div class="swiper-pagination"></div>
      </div>
    </section>
  {% endif %}

{% endif %}
